%define rel	1
%define pre	beta1

%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version-%pre.tar.bz2
%define dirname		%name-%version-%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.bz2
%define dirname		%name-%version
%endif

Summary:	A disk archiver for KDE
Name:		kdar
Version:	2.1.0
Release:	%{release}
License:	GPL+
Group:		Archiving/Backup
URL:		http://kdar.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-root
Source0:	http://prdownloads.sourceforge.net/%{name}/%{distname}
Requires:	dar
BuildRequires:	kdelibs-devel
BuildRequires:	dar-devel >= 2.3.0
BuildRequires:	desktop-file-utils

%description
KDar is the KDE Disk Archiver. It is a convenient graphical 
interface to Denis Corbin's libdar  archiving and backup C++ library. 
You can safely backup (with compression if you like), view and 
restore files using KDar, along with a few easy UNIX commands 
for mounting and burning CD-R's, Zip and Jazz drives, DVD-R's,
floppies, or any other disk-based storage media.

%prep
%setup -q -n %{dirname}

%build
export QTDIR=%{qt3dir}
export KDEDIR=%{_prefix}
export LD_LIBRARY_PATH=%{qt3lib}:$LD_LIBRARY_PATH
export PATH=%{qt3dir}/bin:$PATH
export QTLIB=%{qt3lib}
CFLAGS="%{optflags}" CXXFLAGS="%{optflags} -fpermissive" \
./configure --disable-rpath \
	    --prefix=%{_prefix} \
	    --libdir=%{_libdir} \
	    --mandir=%{_mandir} \
	    --datadir=%{_datadir} \
	    --disable-debug

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Utility" \
  --add-category="Archiving" \
  --add-mime-type="application/x-dar" \
  --remove-key="Encoding" \
  --remove-key="DocPath" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/doc/HTML/*/%{name}/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*



%changelog
* Sun Mar 30 2008 Adam Williamson <awilliamson@mandriva.com> 2.1.0-0.beta1.1mdv2008.1
+ Revision: 191180
- update icon cache in %%post
- drop dependency on kdebase (not needed) and manual dependency on libdar
- drop old icons and menu entry
- install .desktop to correct place and fix up
- new license policy
- use proper macros for qt3 dirs
- clean spec
- new release 2.1.0 beta 1 (a.k.a. 'finally works with dar 2.3.x!')
- add several patches to fix various build errors
- latest SVN 166
- clean up versioning, add patch1 (fixes dar_mode setting)
- update to svn rev 51 to build and work with libdar4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.6-3mdk
- Remove redundant Buildrequires

* Tue Aug 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.6-2mdk
- mkrel

* Tue Aug 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.6-1mdk
- New release 2.0.6

* Mon May 09 2005 Laurent MONTEL <lmontel@mandriva.com> 2.0.4-1mdk
- 2.0.4

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri Nov 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0

* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.2.0-2mdk
- fix description length

* Tue Sep 28 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.2.0-1mdk
- initial contrib package

